import { NavType } from '../../common/navigation/NavigationArrow';
import { CardDimension, CardType } from '../cardTypes';
declare const Card: import('@emotion/styled').StyledComponent<{
    theme?: import('@emotion/react').Theme;
    as?: React.ElementType;
} & {
    dimension: CardDimension;
}, import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export default Card;
declare const CardContentBox: import('@emotion/styled').StyledComponent<{
    theme?: import('@emotion/react').Theme;
    as?: React.ElementType;
}, import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export { CardContentBox };
export declare const CardContentAnimatedWrapper: import('@emotion/styled').StyledComponent<{
    theme?: import('@emotion/react').Theme;
    as?: React.ElementType;
} & {
    activeCardIndex: number;
    currentIndex: number;
    which: NavType;
}, import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const toCardTitle: (report: CardType) => string;
export declare const DraggedDiv: import('@emotion/styled').StyledComponent<{
    theme?: import('@emotion/react').Theme;
    as?: React.ElementType;
} & {
    dimension: CardDimension;
    isDragging: boolean;
    isDragOver: boolean;
}, import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export interface DragAndDropProps {
    draggedCardType?: CardType;
    dragOverCard?: CardType;
    onDragLeave: (e: React.DragEvent<HTMLDivElement>) => void;
    onDragOver: (e: React.DragEvent<HTMLDivElement>, cardType: CardType) => void;
    onDragStart: (cardType: CardType, e: React.DragEvent<HTMLDivElement>) => void;
    onDrop: (e: React.DragEvent<HTMLDivElement>, cardType: CardType) => void;
}
/**
 * Default dimensions for balance and chart cards
 */
export declare const designDimension: CardDimension;
